<?php
/***************************************************************
	Pagina per predisposizione e invio del PaymentInit
****************************************************************/

	// VERIFICO se puņ accedere all'ordine
	if( count($arRp) > 0 && 
		$idp > 0 &&
		isset($arRp["stato"]) &&
		($arRp["stato"] == "NEW" || $arRp["stato"] == "PAYMENT_INIT" )
	) {
		// init PG_Triveneto_Class
		$pg = new PG_ConsTriv_Class($lng);
		$pg->setAction('Purchase');
		$pg->setSecurityCode_PI( $secCode );
		$pg->sendVal_PI($importo, $idp);
		
		// Verifico esito del PaymentInit
		if( $pg->hasError_PI() )
		{
			// SEGNALAZIONE ERRORE!
			echo "<h1>ERRORE: ".$pg->getError_PI()."</h1>";
		} else {
			// Registro il PaymentID e invio l'utente alla HPP del Gateway
			mysql_query("UPDATE ... SET stato='PAYMENT_INIT', PaymentID='".$pg->getID_PI()."' WHERE ....");
			header("Location: " . $pg->getPaymentURL_PI() );
		}
	} else {
		echo "<h1>Pagina NON disponibile!</h1>";
	}

?>